#include <iostream>
#include <math.h>


using namespace std;

int main()
{int x, y, x1, y1, br_cify, br_cifx, cifx, cify, br, pom, max, max1;
cin>>x;
cin>>y;
x1=x;
y1=y;
br_cifx=0;
br_cify=0;
br=0;
pom=0;
 while (x>0)
    {   br_cifx++;
        x=x/10;
    }
    while (y>0)
    {   br_cify++;
        y=y/10;
    }
    
if (br_cifx>=br_cify)
max=br_cifx;
else
max=br_cify;

while (max>0)
{cifx=x1%10;
cify=y1%10;
max=max-1;
x1=x1/10;
y1=y1/10;

    if (cifx>cify)
    {br=br+cifx*pow(10, pom);
    }
    if (cify>cifx)
    {br=br+cify*pow(10, pom);
    }
    if (cifx==cify && cifx!=0 && cify!=0)
    {br=br+cifx*pow(10, pom)+cifx*pow(10, pom+1);
    pom++;
    }

if (cifx==0 && cify==0)
pom++;
pom++;
  
}
cout<<br;


    return 0;
}